Bug 19997 - use Modern::Perl in Circulation perl scripts
Summary: use Modern::Perl in Circulation perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charlotte Cordwell
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 04:43 UTC by Aleisha Amohia
Modified: 2018-04-06 13:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19997: use Modern::Perl in Circulation perl scripts (6.52 KB, patch)
2018-01-18 01:59 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19997: use Modern::Perl in Circulation perl scripts (6.52 KB, patch)
2018-01-18 02:12 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19997: use Modern::Perl in Circulation perl scripts (6.52 KB, patch)
2018-01-24 18:17 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 19997: use Modern::Perl in Circulation perl scripts (6.57 KB, patch)
2018-01-24 18:37 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 19997: use Modern::Perl in Circulation perl scripts (6.70 KB, patch)
2018-02-04 14:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 04:43:14 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
bookcount.pl
branchoverdues.pl
branchtransfers.pl
circulation.pl
hold-transfer-slip.pl
reserveratios.pl
returns.pl
selectbranchprinter.pl
transfer-slip.pl
transferstoreceive.pl
view_holdsqueue.pl
waitingreserves.pl
ypattrodue-attr-search-authvalue.pl
Comment 1 Charlotte Cordwell 2018-01-18 01:59:31 UTC
Created attachment 70663 [details] [review]
Bug 19997: use Modern::Perl in Circulation perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

bookcount.pl
branchoverdues.pl
branchtransfers.pl
circulation.pl
hold-transfer-slip.pl
reserveratios.pl
returns.pl
selectbranchprinter.pl
transfer-slip.pl
transferstoreceive.pl
view_holdsqueue.pl
waitingreserves.pl
ypattrodue-attr-search-authvalue.pl
Comment 2 Charlotte Cordwell 2018-01-18 02:12:16 UTC
Created attachment 70665 [details] [review]
Bug 19997: use Modern::Perl in Circulation perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

bookcount.pl
branchoverdues.pl
branchtransfers.pl
circulation.pl
hold-transfer-slip.pl
reserveratios.pl
returns.pl
selectbranchprinter.pl
transfer-slip.pl
transferstoreceive.pl
view_holdsqueue.pl
waitingreserves.pl
ypattrodue-attr-search-authvalue.pl
Comment 3 Jon Knight 2018-01-24 18:17:01 UTC
Created attachment 70885 [details] [review]
Bug 19997: use Modern::Perl in Circulation perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

bookcount.pl
branchoverdues.pl
branchtransfers.pl
circulation.pl
hold-transfer-slip.pl
reserveratios.pl
returns.pl
selectbranchprinter.pl
transfer-slip.pl
transferstoreceive.pl
view_holdsqueue.pl
waitingreserves.pl
ypattrodue-attr-search-authvalue.pl
Comment 4 Jon Knight 2018-01-24 18:37:00 UTC
Created attachment 70894 [details] [review]
Bug 19997: use Modern::Perl in Circulation perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

bookcount.pl
branchoverdues.pl
branchtransfers.pl
circulation.pl
hold-transfer-slip.pl
reserveratios.pl
returns.pl
selectbranchprinter.pl
transfer-slip.pl
transferstoreceive.pl
view_holdsqueue.pl
waitingreserves.pl
ypattrodue-attr-search-authvalue.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 5 Katrin Fischer 2018-02-04 14:12:03 UTC
Created attachment 71193 [details] [review]
Bug 19997: use Modern::Perl in Circulation perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

bookcount.pl
branchoverdues.pl
branchtransfers.pl
circulation.pl
hold-transfer-slip.pl
reserveratios.pl
returns.pl
selectbranchprinter.pl
transfer-slip.pl
transferstoreceive.pl
view_holdsqueue.pl
waitingreserves.pl
ypattrodue-attr-search-authvalue.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2018-02-05 12:59:02 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-02-16 00:57:54 UTC
Awesome work all! Enhancement not backported to stable.